<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
function tanggalindo($tgl) {
	$arrbulan=array('01'=>'Januari','02'=>'Februari','03'=>'Maret','04'=>'April','05'=>'Mei','06'=>'Juni','07'=>'Juli','08'=>'Agustus','09'=>'September','10'=>'Oktober','11'=>'November','12'=>'Desember');
	$konvet=date('d-m-Y',strtotime($tgl));
	$pecahtgl=explode('-',$konvet);
	$tanggalan=$pecahtgl[0].' '.$arrbulan[$pecahtgl[1]].' '.$pecahtgl[2];
	return $tanggalan;
}

function hari($tgl) {
	$arrhari=array('0'=>'Minggu','1'=>'Senin','2'=>'Selasa','3'=>'Rabu','4'=>'Kamis','5'=>"Jum'at",'6'=>'Sabtu');
	$konvet=date('Y-m-d',strtotime($tgl));
	$pecahtgl=explode('-',$konvet);
	$info=date('w', mktime(0,0,0,$pecahtgl[1],$pecahtgl[2],$pecahtgl[0]));
	$hari=@$arrhari[$info];
	return $hari;
}